@font-face {
  font-family: "MyCustomFont"; /* Название вашего шрифта */
  src: url("assets/css/fonts/Flaticon.woff") format("woff");
}

:root {
  --fontFamily: "Nunito", sans-serif;
  --mainColor: #023e8a;
  --mainRedColor: #fe4a55;
  --mainGreyColor: #f5f7fa;
  --secondaryColor: #6ba292;
  --optionalColor: #606060;
  --whiteColor: #ffffff;
  --blackColor: #221638;
  --fontSize: 16px;
  --darkBlue: #023e8a;
  --mediumBlue: #0077b6;
  --lightBlue: #90e0ef;
  --paleBlue: #caf0f8;
  --maxContainerWidth: 1400px;
  --maxTitleBlockWidth: 800px;
}

html {
  height: 100%;
}

body {
  font-family: var(--fontFamily);
  height: 100%;
}

.row {
  margin: 0 !important;
}

/* Custom scroll */
body::-webkit-scrollbar {
  width: 7px; /* Width of scrollbar */
}

body::-webkit-scrollbar-track {
  background: transparent; /* background of track */
}

body::-webkit-scrollbar-thumb {
  background-color: var(--optionalColor); /* Color of scrollbar */
  border-radius: 6px; /* border-radius of scrollbar */
}


.main-wrapper {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
}

.nav-wrapper {
  display: flex;
  justify-content: space-between;
  max-width: var(--maxContainerWidth);
  margin: 0 auto;
}

.main-logo {
  max-width: 250px;
  height: 90px;
}

.navbar-collapse {
  flex-grow: 0 !important;
}

.nav-link {
  font-family: inherit;
  font-weight: 600 !important;
  color: white !important;
  font-size: 1.1rem !important;
  border-bottom: 3px solid transparent !important;
}

.nav-link:hover {
  border-bottom: 3px solid white !important;
}

.content-wrapper {
  flex: 1;
}

.career-container {
  margin: auto;
  background: white;
  padding: 20px;
  border-radius: 8px;
  display: flex;
  gap: 20px;
}
.career-header {
  text-align: center;
  margin-bottom: 20px;
}
.career-job {
  box-shadow: rgba(0, 0, 0, 0.15) 0px 2px 8px;
  border-radius: 8px;
  padding: 20px;
  margin-bottom: 20px;
  background-color: #fff;
  width: 50%;
  max-width: 650px;
  font-family: var(--fontFamily);
  display: flex;
  flex-direction: column;
}
.career-title {
  font-size: 1.5em;
  color: #333;
  text-align: center;
  font-weight: 800;
  font-size: 28px;
}
.career-header-desc {
  text-align: center;
}
.career-contact--title {
  text-align: center;
  font-size: 20px;
}
.career-details {
  margin: 10px 0;
  flex: 1;
}
.career-contact {
  margin-top: 15px;
  font-weight: bold;
}

.career-header {
  padding: 40px 20px 0 20px;
  margin: 0;
}

/* Footer */

.footer-area {
  background-color: #100f1f;
  position: relative;
  z-index: 1;
}
.single-footer-widget {
  margin-bottom: 30px;
}

.footer-logo {
  padding: 0;
  box-sizing: content-box;
  max-width: 260px;
}

.footer-area h3 {
  margin-bottom: 20px;
  position: relative;
  color: var(--whiteColor);
}

.footer-area p {
  color: #ededed;
}

.footer-area .logo {
  display: inline-block;
  margin-bottom: 25px;
  max-width: 150px;
}

.footer-area .footer-links-list {
  padding-left: 0;
  margin-bottom: 0;
  list-style-type: none;
}

.footer-links-list li {
  margin-bottom: 12px;
  color: #ededed;
}

.footer-links-list a {
  color: #ededed;
  display: inline-block;
}

.footer-links-list a:last-child {
  margin-bottom: 0;
}

.footer-area .social-link {
  padding-left: 0;
  list-style-type: none;
  margin: 20px 0;
}

.social-link li {
  display: inline-block;
  margin-right: 7px;

  &:last-child {
    margin-right: 0;
  }
  a {
    width: 34px;
    height: 34px;
    text-align: center;
    color: var(--whiteColor);
    background-color: #1e1d2f;
    font-size: 18px;
    position: relative;
    border-radius: 2px;

    i {
      position: absolute;
      left: 0;
      top: 50%;
      right: 0;
      transform: translateY(-48%);
    }
    &:hover {
      background-color: var(--mainColor);
      color: var(--whiteColor);
    }
  }
}

.footer-area .footer-contact-info {
  padding-left: 0;
  margin-bottom: 0;
  list-style-type: none;
}

.footer-contact-info li {
  margin-bottom: 13px;
  color: #ededed;
  position: relative;
  padding-left: 22px;
}

.footer-contact-info li a {
  color: #ededed;
  display: inline-block;

  &:hover {
    color: var(--mainColor);
  }
}
.footer-contact-info li :last-child {
  margin-bottom: 0;
}
.footer-contact-info li span {
  position: absolute;
  left: -5px;
  top: 2px;

  &.bxs-inbox {
    top: 3px;
  }
}

.footer-contact-info li a {
  text-decoration: none;
}

.footer-content-block {
  padding-top: 50px;
}

.footer-bottom-area {
  text-align: center;
  border-top: 2px solid #181726;
  padding: 25px 0;
}


.copyright {
  color: white;
}

.lines {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 100%;
  margin: auto;
  width: 100%;
  z-index: -1;
}

.line {
  position: absolute;
  width: 1px;
  height: 100%;
  top: 0;
  left: 50%;
  background: rgba(255, 255, 255, 0.1);
  overflow: hidden;
}

@keyframes moveLine {
  0% {
    top: -50%;
  }
  100% {
    top: 100%;
  }
}

.line::after {
  content: "";
  display: block;
  position: absolute;
  height: 15vh;
  width: 100%;
  top: -50%;
  left: 0;
  z-index: 1000;
  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0) 0%,
    #ffffff 75%,
    #ffffff 100%
  );
  animation: moveLine 6s infinite;
  animation-timing-function: cubic-bezier(0.4, 0.26, 0, 0.97);
}

.line:nth-child(1) {
  margin-left: -25%;
}
.line::after {
  animation-delay: 2s;
}
.line:nth-child(3) {
  margin-left: 25%;
}
.line:nth-child(3)::after {
  animation-delay: 2.5s;
}

.footer-container {
  display: flex;
  flex-direction: column;
}

@media screen and (max-width: 991px) {

  .career-container {
    margin: auto;
    background: white;
    padding: 20px;
    border-radius: 8px;
    display: flex;
    gap: 20px;
    flex-direction: column;
    align-items: center;
  }

  .career-job {
    width: 100%;
  }

  .navbar-nav-mobile {
    display: flex;
  }

  .navbar-nav-desktop {
    display: none;
  }

  .nav-link:hover {
    border-bottom: 3px solid transparent !important;
  }

  .navbar-nav {
    margin: 25px 0;
    display: flex;
    flex-direction: column;
    background: #100f1f !important;
    padding: 30px !important;
  }

  .nav-item {
    padding: 5px 20px;
    border-bottom: 1px solid #eeeeee !important;
    background: #100f1f;
  }

  .navbar-nav {
    position: absolute;
    top: 68px;
    left: 0;
    right: 0;
  }
}

@media screen and (max-width: 1920px) {
  .swiper {
    max-width: 1000px;
    max-height: 600px;
  }
}

.navbar {
  background: #100f1f;
  color: white;
}

.navbar-toggler-btn {
  background: white !important;
}